#include "config.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <pipi.h>

int main(int argc, char *argv[])
{
    char *srcname = NULL, *dstname = NULL;
    pipi_image_t *img, *newimg;
    int count = 10000;
    int ret = 0;
    if(argc < 2)
    {
        fprintf(stderr, "%s: too few arguments\n", argv[0]);
        fprintf(stderr, "Usage: %s <src> <dest>\n", argv[0]);
        return EXIT_FAILURE;
    }

    srcname = argv[1];
    dstname = argv[2];

    img = pipi_load(srcname);

    if(!img) {
        fprintf(stderr, "Can't open %s for reading\n", srcname);
    }

    newimg = pipi_copy(img);
    pipi_free(img);

    int w = pipi_get_image_width(newimg);
    int h = pipi_get_image_height(newimg);

    while(count--)
    {
        pipi_draw_line(newimg,
                       rand() % w, rand() % h,
                       rand() % w, rand() % h,
                       rand(),
                       0);
        pipi_draw_line(newimg,
                       rand() % w, rand() % h,
                       rand() % w, rand() % h,
                       rand(),
                       1);
    }

    pipi_save(newimg, dstname);

    pipi_free(newimg);

    return ret;
}

